<?php
/**
 * Plugin Name:	Neo HTML Protector
 * Plugin URI:	https://github.com/nanakochi123456/Neo-Webp-AVIF-Converter-for-Wordpress	
 * Description:	HTML Protect and Copyright Protect
 * Version:	0.0.3
 * Requires at least: 6.0
 * Requires PHP: 8.1
 * Author: Nano Yozakura
 * Author URI: https://773.moe
 * Domain Path: /languages
 * Text Domain: neo-html-protector
 * License: GPLv2 or later
 */

defined('ABSPATH') or die('Oh! No!');

define( 'NEOHP_VERSION', '0.0.3' );
define( 'NEOHP_REQUIRED_WP_VERSION', '6.0' );
define( 'NEOHP_PLUGIN', __FILE__ );
define( 'NEOHP_PLUGIN_DIR', untrailingslashit( dirname( NEOHP_PLUGIN ) ) );
define( 'NEOHP_JS_DIR', NEOHP_PLUGIN_DIR . '/js/' );
define( 'NEOHP_CSS_DIR', NEOHP_PLUGIN_DIR . '/css/' );
define( 'NEOHP_JS_URL', untrailingslashit( dirname( plugins_url('neo-html-protection.php', __FILE__) ) ) . '/js/' );
define( 'NEOHP_CSS_URL', untrailingslashit( dirname( plugins_url('neo-html-protection.php', __FILE__) ) ) . '/css/' );
define( 'NEOHP_DOMAIN', 'neo-html-protector');

function neohp_plugin_load_textdomain() {
    load_plugin_textdomain( NEOHP_DOMAIN, false, dirname( plugin_basename( __FILE__ ) ) . '/languages' );
    // 読み込み確認
    if ( is_textdomain_loaded( NEOHP_DOMAIN ) ) {
        echo( 'my-plugin の翻訳が読み込まれました。' );
    } else {
        echo( 'my-plugin の翻訳が読み込まれていません！' );
	}
}
add_action( 'plugins_loaded', 'neohp_plugin_load_textdomain' );


$neohp_redirect_default = __('https://google.co.jp', NEOHP_DOMAIN);

$neohp_debugmode_default =
	sprintf("%s\n%s\n%s\n%s\n%s\n%s"
		, __('デバッグモード、コンソールの起動は禁止されています', NEOHP_DOMAIN)
		, __('以下の情報がサーバーに送信されました', NEOHP_DOMAIN)
		, __('あなたのIPアドレス:$IP', NEOHP_DOMAIN)
		, __('URL:$URL', NEOHP_DOMAIN)
		, __('あなたの押下したキー:$KEY', NEOHP_DOMAIN)
		, __('リダイレクトをします', NEOHP_DOMAIN)
	);

$neohp_rightclick_default =
	sprintf("%s\n%s\n%s\n%s\n%s\n%s"
		, __('右クリックは禁止されています', NEOHP_DOMAIN)
		, __('以下の情報がサーバーに送信されました', NEOHP_DOMAIN)
		, __('あなたのIPアドレス:$IP', NEOHP_DOMAIN)
		, __('URL:$URL', NEOHP_DOMAIN)
		, __('あなたの押下したキー:$KEY', NEOHP_DOMAIN)
		, __('リダイレクトをします', NEOHP_DOMAIN)
	);

$neohp_printout_default =
	sprintf("%s\n%s\n%s\n%s\n%s\n%s"
		, __('印刷、PDFへの保存は禁止されています', NEOHP_DOMAIN)
		, __('以下の情報がサーバーに送信されました', NEOHP_DOMAIN)
		, __('あなたのIPアドレス:$IP', NEOHP_DOMAIN)
		, __('URL:$URL', NEOHP_DOMAIN)
		, __('あなたの押下したキー:$KEY', NEOHP_DOMAIN)
		, __('リダイレクトをします', NEOHP_DOMAIN)
	);

$neohp_htmlsource_default =
	sprintf("%s\n%s\n%s\n%s\n%s\n%s"
		, __('HTMLソース表示は禁止されています', NEOHP_DOMAIN)
		, __('以下の情報がサーバーに送信されました', NEOHP_DOMAIN)
		, __('あなたのIPアドレス:$IP', NEOHP_DOMAIN)
		, __('URL:$URL', NEOHP_DOMAIN)
		, __('あなたの押下したキー:$KEY', NEOHP_DOMAIN)
		, __('リダイレクトをします', NEOHP_DOMAIN)
	);

$neohp_viewsource_default =
	sprintf("%s\n%s\n%s\n%s\n%s"
		, __('HTMLソース表示は禁止されています', NEOHP_DOMAIN)
		, __('以下の情報がサーバーに送信されました', NEOHP_DOMAIN)
		, __('あなたのIPアドレス:$IP', NEOHP_DOMAIN)
		, __('URL:$URL', NEOHP_DOMAIN)
		, __('あなたが起こしたイベント:view-source:$URL', NEOHP_DOMAIN)
	);

require_once NEOHP_PLUGIN_DIR . '/classes/neohp-htmlprotect.php';
require_once NEOHP_PLUGIN_DIR . '/classes/neohp-htmlcompress.php';
require_once NEOHP_PLUGIN_DIR . '/classes/neohp-cssprintblock.php';
require_once NEOHP_PLUGIN_DIR . '/classes/neohp-jskeyblock.php';
require_once NEOHP_PLUGIN_DIR . '/classes/neohp-admin.php';
require_once NEOHP_PLUGIN_DIR . '/classes/neohp-admin-iplogreader.php';
require_once NEOHP_PLUGIN_DIR . '/classes/neohp-jskeyredirect.php';
require_once NEOHP_PLUGIN_DIR . '/classes/neohp-jskeyajax.php';
